﻿<Window
    x:Class="WpfApp1.ProgressBar"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    Title="ProgressBar"
    Width="370"
    Height="170"
    mc:Ignorable="d">
    <Grid>
        <StackPanel>
            <StackPanel Margin="5,10,5,5" Orientation="Horizontal">
                <ProgressBar
                    x:Name="AProguressBar"
                    Width="180"
                    Height="30"
                    Margin="25,0,0,0"
                    HorizontalAlignment="Left"
                    Maximum="100"
                    Minimum="0"
                    ValueChanged="AProguressBar_ValueChanged" />
                <TextBlock
                    x:Name="ATextBlock"
                    Width="50"
                    Margin="10,0,0,0"
                    HorizontalAlignment="Center"
                    VerticalAlignment="Center"
                    FontSize="20"
                    Text="XXX" />
                <Button
                    x:Name="AButton"
                    Width="60"
                    Height="30"
                    Margin="10,0,0,0"
                    Click="AButton_Click"
                    Content="Run" />
            </StackPanel>
            <StackPanel Margin="5,10,5,5" Orientation="Horizontal">
                <Grid>
                    <ProgressBar
                        x:Name="BProguressBar"
                        Width="180"
                        Height="30"
                        Margin="25,0,0,0"
                        HorizontalAlignment="Left"
                        Maximum="100"
                        Minimum="0"
                        ValueChanged="BProguressBar_ValueChanged" />
                    <TextBlock
                        x:Name="BTextBlock"
                        Width="50"
                        Margin="10,0,0,0"
                        HorizontalAlignment="Center"
                        VerticalAlignment="Center"
                        FontSize="20"
                        Text="XXX" />
                </Grid>
                <Button
                    x:Name="BButton"
                    Width="60"
                    Height="30"
                    Margin="10,0,0,0"
                    Click="BButton_Click"
                    Content="Run" />
            </StackPanel>
            <StackPanel Margin="5,10,5,5" Orientation="Horizontal">
                <Grid>
                    <ProgressBar
                        x:Name="CProguressBar"
                        Width="180"
                        Height="30"
                        Margin="25,0,0,0"
                        HorizontalAlignment="Left"
                        Maximum="100"
                        Minimum="0" />
                    <TextBlock
                        x:Name="CTextBlock"
                        Margin="10,0,0,0"
                        HorizontalAlignment="Center"
                        VerticalAlignment="Center"
                        FontSize="20" />
                </Grid>
                <Button
                    x:Name="CButton"
                    Width="60"
                    Height="30"
                    Margin="10,0,0,0"
                    Click="CButton_Click"
                    Content="Run" />
            </StackPanel>
        </StackPanel>
    </Grid>
</Window>